:root {
    /* Retaining the updated color scheme for consistency */
    --background-color: #f4f4f4;
    --font-color: #1d1d1d;
    --header-buttons-activetab-color: #1ea7ac; 
    --font-for-header-buttons-activetab: #ffffff;
    --button-hover-background: #00707f;
    --inactivetab-background: #eee;
    --activetab-background: #fff;
    --form-background: #ffffff;
    --borders: #ddd;
    --box-shadow: rgba(0, 0, 0, 0.1);
    --progress-gradient1: #94cae6;
    --progress-gradient2: #72c0ec;
    --progress-gradient3: #38b0ec;
}

body {
    background-color: var(--background-color);
    color: var(--font-color);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

header {
    background-color: var(--header-buttons-activetab-color);
    color: var(--font-for-header-buttons-activetab);
    padding: 20px 0;
    text-align: center;
    border-bottom: 1px solid var(--borders);
}

.container {
    width: 80%;
    margin: auto;
    /*overflow: hidden;*/
}

.tabs, .tabs1 {
    display: flex;
    margin-top: 20px;
    border-bottom: 2px solid var(--borders);
}

.tab, .tab1 {
    padding: 10px 20px;
    cursor: pointer;
    background-color: var(--inactivetab-background);
    border-radius: 5px 5px 0 0;
    margin-right: 5px;
    border: 1px solid var(--borders);
}

.tab.active, .tab:hover, .tab1.active, .tab1:hover {
    background-color: var(--activetab-background);
    color: var(--header-buttons-activetab-color);
}

.tab-content, .tab1-content {
    background-color: var(--form-background);
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 2px 5px var(--box-shadow);
    display: none;
}

.tab-content.active, .tab1-content.active {
    display: block;
}

form {
    margin-top: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

form label {
    flex-basis: 100%;
    font-size: 20px;
    margin-right: 10px;
}


input[type="time"]{
    flex: 1;
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 5px;
    border: 1px solid var(--borders);
    box-shadow: inset 0 1px 3px var(--box-shadow);
    margin-right: 10px;
    font-size: 50px;
}

input[type="text"],
input[type="date"],
input[type="password"],
select {
    flex: 1;
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 5px;
    border: 1px solid var(--borders);
    box-shadow: inset 0 1px 3px var(--box-shadow);
    margin-right: 10px;
    font-size: 20px;
}

input[type="textfield"]{
    flex: 1;
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 5px;
    border: 1px solid var(--borders);
    box-shadow: inset 0 1px 3px var(--box-shadow);
    margin-right: 10px;
    font-size: 20px;
}

button, input[type="submit"] {
    background-color: var(--header-buttons-activetab-color);
    color: var(--font-for-header-buttons-activetab);
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    flex-basis: 100%; /* Button takes full width */
    font-size: 30px;
    margin-right: 10px;
}

button:hover, input[type="submit"]:hover {
    background-color: var(--button-hover-background);
}

.wheel {
    margin: 20px auto;
    border-radius: 50%;
    background-color: #1ea7ac;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.marker {
    position: absolute;
    background-color: #ffffff;
}

ul {
    list-style-type: none;
    padding: 0;
}

a {
    color: white;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  }


